gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.ScaledFont

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype ScaledFont = ScaledFont (ManagedPtr ScaledFont)

# Exported types

newtype ScaledFont Source #

Memory-managed wrapper type.

Constructors

ScaledFont (ManagedPtr ScaledFont) |

#### Instances

Instances details

Eq ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods (==) :: ScaledFont -> ScaledFont -> Bool # (/=) :: ScaledFont -> ScaledFont -> Bool #
IsGValue ScaledFont Source # | Convert `ScaledFont` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods toGValue :: ScaledFont -> IO GValue Source # fromGValue :: GValue -> IO ScaledFont Source #
ManagedPtrNewtype ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods toManagedPtr :: ScaledFont -> ManagedPtr ScaledFont Source #
TypedObject ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods glibType :: IO GType Source #
GBoxed ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont
HasParentTypes ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont
type ParentTypes ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont type ParentTypes ScaledFont = '[] :: [Type]

# Methods

## Overloaded methods